Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78787

Summary: Galeon disregards the GCONF_LOCAL_LOCKS setting
Product: [Retired] Red Hat Linux Reporter: Stephan Borg <wolff_borg>
Component: galeonAssignee: Christopher Aillon <caillon>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: hp
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 14:49:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stephan Borg 2002-11-29 23:31:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I'm using GCONF_LOCAL_LOCKS env variable to move the lock file to the /tmp
directory.
When I run Galeon it complains about GConfd.When running gconf-sanity-check-1,
it reports:
"Failed to get a file lock: Failed to create or open '/home/user1/.gconfd/lock/ior'
 
I'm assuming that GCONF_LOCAL_LOCKS is not working for this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Mount home directory on a non-ext2 file system
2.export GCONF_LOCAL_LOCKS=1 (ICEAUTHORITY=1)
3.startx
4.galeon
	

Actual Results:  Error - Cannot find a schema for galeon preferences. Check your
gconf setup, look at galeon FAQ for more info.

Expected Results:  Galeon should start with no errors.

Additional info:

hp@redhat.com added:
Yeah the problem here is that Galeon is using gconfd-1, 
which doesn't understand GCONF_LOCAL_LOCKS.

Comment 1 Bill Nottingham 2006-08-07 17:46:31 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 14:49:10 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.